org.eclipse.oomph.ui

## Class OomphUIPlugin

- java.lang.Object
- - org.eclipse.emf.common.util.DelegatingResourceLocator
  - - org.eclipse.emf.common.EMFPlugin
    - - org.eclipse.oomph.util.OomphPlugin
      - - org.eclipse.oomph.ui.OomphUIPlugin

- All Implemented Interfaces:
    Logger, ResourceLocator

      public abstract class OomphUIPlugin
      extends OomphPlugin

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.oomph.util.OomphPlugin

      `OomphPlugin.BundleFile`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.EMFPlugin

      `EMFPlugin.EclipsePlugin, EMFPlugin.InternalEclipsePlugin, EMFPlugin.InternalHelper, EMFPlugin.OSGiDelegatingBundleActivator`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.common.EMFPlugin

      `delegateResourceLocators, IS_ECLIPSE_RUNNING, IS_RESOURCES_BUNDLE_AVAILABLE`

    - ### Fields inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator

      `baseURL, images, resourceBundle, shouldTranslate, strings, untranslatedResourceBundle, untranslatedStrings`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OomphUIPlugin(ResourceLocator[] delegateResourceLocators)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Font` | `getBoldFont(Font baseFont)`
    `static Font` | `getBoldItalicFont(Font baseFont)`
    `IDialogSettings` | `getDialogSettings()`
    `IDialogSettings` | `getDialogSettings(String sectionName)`
    `protected AbstractUIPlugin` | `getEclipsePlugin()`
    `static Font` | `getFont(Font baseFont, Object object)`
    `ImageDescriptor` | `getImageDescriptor(String key)`
    `static Font` | `getItalicFont(Font baseFont)`
    `static Font` | `getNormalFont(Font baseFont)`
    `IPreferenceStore` | `getPreferenceStore()`
    `Image` | `getSWTImage(ImageDescriptor descriptor)`
    `Image` | `getSWTImage(String key)`
    `IWorkbench` | `getWorkbench()`

    - ### Methods inherited from class org.eclipse.oomph.util.OomphPlugin

      `checkCancelation, coreException, coreException, exportResources, exportResources, getBundle, getBundleContext, getConfigurationPreferences, getInstancePreferences, getLog, getRootFile, getService, getStateLocation, getStatus, getUserLocation, isDebugging, isOSGiRunning, log, log, log, log, setDebugging, toString, toString, ungetService`

    - ### Methods inherited from class org.eclipse.emf.common.EMFPlugin

      `getDelegateResourceLocators, getPluginLogger, getPluginResourceLocator, getPrimaryResourceLocator, getSymbolicName, log, main`

    - ### Methods inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator

      `delegatedGetImage, delegatedGetString, doGetImage, doGetString, extensionFor, getBaseURL, getImage, getString, getString, getString, getString, setShouldTranslate, shouldTranslate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.common.util.ResourceLocator

      `getBaseURL, getImage, getString, getString, getString, getString`

- - ### Constructor Detail

    - #### OomphUIPlugin

          protected OomphUIPlugin(ResourceLocator[] delegateResourceLocators)

  - ### Method Detail

    - #### getEclipsePlugin

          protected AbstractUIPlugin getEclipsePlugin()

      Overrides:
        `getEclipsePlugin` in class `OomphPlugin`

    - #### getWorkbench

          public final IWorkbench getWorkbench()

    - #### getPreferenceStore

          public final IPreferenceStore getPreferenceStore()

    - #### getDialogSettings

          public final IDialogSettings getDialogSettings()

    - #### getDialogSettings

          public final IDialogSettings getDialogSettings(String sectionName)

    - #### getSWTImage

          public final Image getSWTImage(ImageDescriptor descriptor)

    - #### getSWTImage

          public final Image getSWTImage(String key)

    - #### getImageDescriptor

          public final ImageDescriptor getImageDescriptor(String key)

    - #### getFont

          public static Font getFont(Font baseFont,
                     Object object)

    - #### getNormalFont

          public static Font getNormalFont(Font baseFont)

    - #### getBoldFont

          public static Font getBoldFont(Font baseFont)

    - #### getItalicFont

          public static Font getItalicFont(Font baseFont)

    - #### getBoldItalicFont

          public static Font getBoldItalicFont(Font baseFont)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html